# PSF-LoginServer - master - net.psforever.services.hart.HartEvent.Blanking
PSF - LoginServer - master - net.psforever.services.hart.HartEvent.Blanking
Keywords: PSF LoginServer master net.psforever.services.hart.HartEvent.Blanking

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
-  object HartEvent
  Definition Classes
    hart
- Arrival
- Blanking
- Boarding
- InTransit
- ShuttleDockingOps
- ShuttleTakeoffOps
- Takeoff

o

net.psforever.services.hart.HartEvent

# Blanking

###

#### case object Blanking extends HartEvent with Product with Serializable

Source
  HartEvent.scala

Linear Supertypes
Serializable, Product, Equals, HartEvent, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Blanking
2. Serializable
3. Product
4. Equals
5. HartEvent
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def docked: Option[Boolean]

   how the shuttle and the HART facility interact; this is an active state field: `Some(true)` - the shuttle is docked right now; `Some(false)` - the shuttle has freed itself from the facility's dock right now; `None` - the shuttle is acting freely apart from its facility

   how the shuttle and the HART facility interact; this is an active state field: `Some(true)` - the shuttle is docked right now; `Some(false)` - the shuttle has freed itself from the facility's dock right now; `None` - the shuttle is acting freely apart from its facility

   Definition Classes
     Blanking → HartEvent
7.  def duration: Long

   for how long this event goes on

   for how long this event goes on

   Definition Classes
     Blanking → HartEvent
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def lockedDoors: Boolean

    are the managed doors for the HART facility locked closed; this is an active state field: `true` - locked right now and `false` - unlocked right now

    are the managed doors for the HART facility locked closed; this is an active state field: `true` - locked right now and `false` - unlocked right now

    Definition Classes
      HartEvent
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def prerequisiteUpdate: Option[HartEventStateFields]

    these fields must be including prior to an update if the shuttle state was not previous known; the primary purpose is to place the shuttle platform at the correct elevation

    these fields must be including prior to an update if the shuttle state was not previous known; the primary purpose is to place the shuttle platform at the correct elevation

    Definition Classes
      Blanking → HartEvent
18.  def productElementName(n: Int): String
    Definition Classes
      Product
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  def shuttleState: Option[ShuttleState.Value]

    the shuttle has a unique state to expose to the zone; the state is related to a value in the `Flying` field of a `VehicleStateMessage` packet

    the shuttle has a unique state to expose to the zone; the state is related to a value in the `Flying` field of a `VehicleStateMessage` packet

    Definition Classes
      Blanking → HartEvent
21.  def stateFields(time: Option[Long] = None): HartEventStateFields

    Get the animation state fields for this event.

    Get the animation state fields for this event.

    time

      during update requests, the amount of time that has elapsed during the start of this event

    returns

      the animation state data

    Definition Classes
      HartEvent
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def timeFields(time: Option[Long]): HartEventTimeFields

    Get the primary time fields for this event.

    Get the primary time fields for this event.

    time

      during update requests, the amount of time that has elapsed during the start of this event

    returns

      the time data

    Definition Classes
      Blanking → HartEvent
24.  def timeOnClock: Long

    starting time on the clock; typically seen on the display

    starting time on the clock; typically seen on the display

    Definition Classes
      Blanking → HartEvent
25.  def u1: HartSequence

    HART facility and shuttle animation

    HART facility and shuttle animation

    Definition Classes
      Blanking → HartEvent
26.  def u2: Int

    counter?

    counter?

    Definition Classes
      Blanking → HartEvent
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from HartEvent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped